<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>Uses of Class de.rowlo.tridchess.model.Field</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class de.rowlo.tridchess.model.Field";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/class-use/Field.html" target="_top">Frames</a></li>
<li><a href="Field.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class de.rowlo.tridchess.model.Field" class="title">Uses of Class<br>de.rowlo.tridchess.model.Field</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#de.rowlo.tridchess.gui">de.rowlo.tridchess.gui</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#de.rowlo.tridchess.model">de.rowlo.tridchess.model</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#de.rowlo.tridchess.model.trid">de.rowlo.tridchess.model.trid</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#de.rowlo.tridchess.util">de.rowlo.tridchess.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="de.rowlo.tridchess.gui">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a> in <a href="../../../../../de/rowlo/tridchess/gui/package-summary.html">de.rowlo.tridchess.gui</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/gui/package-summary.html">de.rowlo.tridchess.gui</a> that return <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]</code></td>
<td class="colLast"><span class="typeNameLabel">BoardView.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/gui/BoardView.html#getGridFields--">getGridFields</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/gui/package-summary.html">de.rowlo.tridchess.gui</a> with parameters of type <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BoardView.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/gui/BoardView.html#setGridFields-de.rowlo.tridchess.model.Field:A:A-">setGridFields</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;gridFields)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="de.rowlo.tridchess.model">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a> in <a href="../../../../../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a> that return <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getField--">getField</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Board.html#getFieldUnderMouseDrag--">getFieldUnderMouseDrag</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Board.html#getGridFields--">getGridFields</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Board.html#getLastFieldUnderMouse--">getLastFieldUnderMouse</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a> that return types with arguments of type <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getAttackersList--">getAttackersList</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getAttackList--">getAttackList</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getBlockList--">getBlockList</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getChainedThreadPaths--">getChainedThreadPaths</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getCheckPaths--">getCheckPaths</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getCheckThreadPaths--">getCheckThreadPaths</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getCoverList--">getCoverList</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Board.html#getFieldsByName--">getFieldsByName</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Board.html#getFieldsList--">getFieldsList</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getGhostMoveList--">getGhostMoveList</a></span>()</code>
<div class="block">This list is a collection of fields this figure could reach, if an
 opposing figure wasn't in its way.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#getMoveList--">getMoveList</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a> with parameters of type <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#setField-de.rowlo.tridchess.model.Field-">setField</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;field)</code>
<div class="block">Sets field where the figure stands and updates old and new fields' figure
 attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Board.html#setFieldUnderMouseDrag-de.rowlo.tridchess.model.Field-">setFieldUnderMouseDrag</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;fieldUnderMouseDrag)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Field.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Field.html#setFigure-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Figure-boolean-">setFigure</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;fromField,
         <a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;figure,
         boolean&nbsp;logTheMove)</code>
<div class="block">Sets the figure of this field with logging the move.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Board.html#setLastFieldUnderMouse-de.rowlo.tridchess.model.Field-">setLastFieldUnderMouse</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;lastFieldUnderMouse)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a> with type arguments of type <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#applyCheckCounterMeasures-java.util.ArrayList-java.util.ArrayList-">applyCheckCounterMeasures</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;counterCheckFields,
                         java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;coveredFields)</code>
<div class="block">Keep only fields in move and attack list, that are in the counter check
 fields list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#applyCheckCounterMeasures-java.util.ArrayList-java.util.ArrayList-">applyCheckCounterMeasures</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;counterCheckFields,
                         java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;coveredFields)</code>
<div class="block">Keep only fields in move and attack list, that are in the counter check
 fields list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#setGhostMoveList-java.util.ArrayList-">setGhostMoveList</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#setMoveList-java.util.ArrayList-">setMoveList</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../de/rowlo/tridchess/model/package-summary.html">de.rowlo.tridchess.model</a> with parameters of type <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/Figure.html#Figure-boolean-int-java.lang.String-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Board-">Figure</a></span>(boolean&nbsp;white,
      int&nbsp;type,
      java.lang.String&nbsp;n,
      <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f,
      <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="de.rowlo.tridchess.model.trid">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a> in <a href="../../../../../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a> that return <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]</code></td>
<td class="colLast"><span class="typeNameLabel">Pin.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#getFields--">getFields</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></code></td>
<td class="colLast"><span class="typeNameLabel">Move.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#getSourceField--">getSourceField</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></code></td>
<td class="colLast"><span class="typeNameLabel">Move.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#getTargetField--">getTargetField</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a> with parameters of type <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkBishopRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkBishopRange</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</code>
<div class="block">Starts field range calculations from current field on for bishops.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkCastleRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkCastleRange</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</code>
<div class="block">Starts field range calculations from current field on for castles.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkKingQueenRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-int-int-">checkKingQueenRange</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                   <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f,
                   int&nbsp;x,
                   int&nbsp;y)</code>
<div class="block">Starts field range calculations from current field on for queens and
 kings.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkKnightRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkKnightRange</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</code>
<div class="block">Starts field range calculations from current field on for knights.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkPawnRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkPawnRange</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
              <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f)</code>
<div class="block">Starts field range calculations from current field on for pawns.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Pin.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#setFields-de.rowlo.tridchess.model.Field:A:A-">setFields</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;fields)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Pin.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#setFields-de.rowlo.tridchess.model.Field:A:A-boolean-">setFields</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;fields,
         boolean&nbsp;turn180)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a> with type arguments of type <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkDownward-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-int-boolean-int-">checkDownward</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
             java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
             int&nbsp;minZ,
             int&nbsp;limit,
             int&nbsp;sign,
             int[]&nbsp;b,
             int&nbsp;xy,
             boolean&nbsp;mustNotAttack,
             int&nbsp;checkType)</code>
<div class="block">Checks all downward fields in proper order from current board position on
 if they're free to move onto.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkJumps-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int:A-int-">checkJumps</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
          java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
          int[]&nbsp;b,
          int&nbsp;checkType)</code>
<div class="block">Checks all jump destination fields on all z levels relative to current
 board position if they're free to move onto.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkStraight-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int:A-int-boolean-int-">checkStraight</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
             java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
             int&nbsp;limit,
             int&nbsp;sign,
             int[]&nbsp;b,
             int&nbsp;xy,
             boolean&nbsp;mustNotAttack,
             int&nbsp;checkType)</code>
<div class="block">Checks next field relative to current board position if it's free to move
 onto it.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkUpDownDiagonalStart-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-boolean-int-">checkUpDownDiagonalStart</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                        java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
                        int&nbsp;limit,
                        int&nbsp;signX,
                        int&nbsp;signY,
                        int[]&nbsp;b,
                        boolean&nbsp;attackOnly,
                        int&nbsp;checkType)</code>
<div class="block">Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkUpDownStraightStart-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int:A-int-boolean-int-">checkUpDownStraightStart</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
                        java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
                        int&nbsp;limit,
                        int&nbsp;sign,
                        int[]&nbsp;b,
                        int&nbsp;xy,
                        boolean&nbsp;mustNotAttack,
                        int&nbsp;checkType)</code>
<div class="block">Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FigureRangeChecking.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkUpward-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-int-boolean-int-">checkUpward</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;fig,
           java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;path,
           int&nbsp;maxZ,
           int&nbsp;limit,
           int&nbsp;sign,
           int[]&nbsp;b,
           int&nbsp;xy,
           boolean&nbsp;mustNotAttack,
           int&nbsp;checkType)</code>
<div class="block">Checks all upward fields in proper order from current board position on if
 they're free to move onto.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../de/rowlo/tridchess/model/trid/package-summary.html">de.rowlo.tridchess.model.trid</a> with parameters of type <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html#Move-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Figure-">Move</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;figure,
    <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;target,
    <a href="../../../../../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a>&nbsp;attacked)</code>
<div class="block">Creates a figure move object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html#Pin-java.lang.String-de.rowlo.tridchess.gui.trid.PinView-de.rowlo.tridchess.model.Field:A:A-de.rowlo.tridchess.model.Board-">Pin</a></span>(java.lang.String&nbsp;n,
   <a href="../../../../../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a>&nbsp;v,
   <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][]&nbsp;af,
   <a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="de.rowlo.tridchess.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a> in <a href="../../../../../de/rowlo/tridchess/util/package-summary.html">de.rowlo.tridchess.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../de/rowlo/tridchess/util/package-summary.html">de.rowlo.tridchess.util</a> that return types with arguments of type <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinExclude-java.util.ArrayList-java.util.ArrayList-">joinExclude</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
           java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing only these elements that are part of
 list and and not part of add.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinMatch-java.util.ArrayList-java.util.ArrayList-">joinMatch</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
         java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing only these elements that are part of
 list and add.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinUnique-java.util.ArrayList-java.util.ArrayList-">joinUnique</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
          java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing all elements that are part of list and
 add once.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#removeDuplicates-java.util.ArrayList-">removeDuplicates</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</code>
<div class="block">Returns a new ArrayList containing every element of list exactly once.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#reverse-java.util.ArrayList-">reverse</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</code>
<div class="block">Returns a new ArrayList containing the same elements as list in reverse
 order.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../de/rowlo/tridchess/util/package-summary.html">de.rowlo.tridchess.util</a> with type arguments of type <a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinExclude-java.util.ArrayList-java.util.ArrayList-">joinExclude</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
           java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing only these elements that are part of
 list and and not part of add.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinExclude-java.util.ArrayList-java.util.ArrayList-">joinExclude</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
           java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing only these elements that are part of
 list and and not part of add.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinMatch-java.util.ArrayList-java.util.ArrayList-">joinMatch</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
         java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing only these elements that are part of
 list and add.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinMatch-java.util.ArrayList-java.util.ArrayList-">joinMatch</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
         java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing only these elements that are part of
 list and add.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinUnique-java.util.ArrayList-java.util.ArrayList-">joinUnique</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
          java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing all elements that are part of list and
 add once.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#joinUnique-java.util.ArrayList-java.util.ArrayList-">joinUnique</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list,
          java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;add)</code>
<div class="block">Returns a new ArrayList containing all elements that are part of list and
 add once.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#removeDuplicates-java.util.ArrayList-">removeDuplicates</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</code>
<div class="block">Returns a new ArrayList containing every element of list exactly once.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ArrayUtils.</span><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/util/ArrayUtils.html#reverse-java.util.ArrayList-">reverse</a></span>(java.util.ArrayList&lt;<a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</code>
<div class="block">Returns a new ArrayList containing the same elements as list in reverse
 order.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/class-use/Field.html" target="_top">Frames</a></li>
<li><a href="Field.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
